public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-video-ati/
Date: Tue, 17 Jul 2018 14:15:41 +0000 (UTC)	[thread overview]
Message-ID: <1531836922.f81770e41df51ad850fa78d6f57d7972a9e536bf.mattst88@gentoo> (raw)

commit:     f81770e41df51ad850fa78d6f57d7972a9e536bf
Author:     Marty E. Plummer <hanetzer <AT> startmail <DOT> com>
AuthorDate: Tue Jul 17 00:33:48 2018 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jul 17 14:15:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f81770e4

x11-drivers/xf86-video-ati: port to EAPI 7

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 ...9999.ebuild => xf86-video-ati-18.0.1-r2.ebuild} | 48 ++++++++++++++++------
 .../xf86-video-ati/xf86-video-ati-9999.ebuild      | 48 ++++++++++++++++------
 2 files changed, 70 insertions(+), 26 deletions(-)

diff --git a/x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild b/x11-drivers/xf86-video-ati/xf86-video-ati-18.0.1-r2.ebuild
similarity index 52%
copy from x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild
copy to x11-drivers/xf86-video-ati/xf86-video-ati-18.0.1-r2.ebuild
index 3f5390aec7a..56d17e3405a 100644
--- a/x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild
+++ b/x11-drivers/xf86-video-ati/xf86-video-ati-18.0.1-r2.ebuild
@@ -1,28 +1,40 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-XORG_DRI=always
-inherit linux-info xorg-2
+inherit linux-info
+
+DESCRIPTION="ATI video driver"
+HOMEPAGE="https://www.x.org/wiki/ati/"
 
 if [[ ${PV} == 9999* ]]; then
-	SRC_URI=""
+	EGIT_REPO_URI="https://anongit.freedesktop.org/git/xorg/driver/${PN}"
+	inherit autotools git-r3
+	LIVE_DEPEND=">=x11-misc/util-macros-1.18"
 else
+	SRC_URI="mirror://xorg/driver/${P}.tar.bz2"
 	KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
 fi
 
-DESCRIPTION="ATI video driver"
-HOMEPAGE="https://www.x.org/wiki/ati/"
-
+LICENSE="MIT"
+SLOT="0"
 IUSE="+glamor udev"
 
-RDEPEND=">=x11-libs/libdrm-2.4.78[video_cards_radeon]
+BDEPEND="
+	virtual/pkgconfig
+"
+RDEPEND="
+	>=x11-libs/libdrm-2.4.78[video_cards_radeon]
 	>=x11-libs/libpciaccess-0.8.0
 	glamor? ( x11-base/xorg-server[glamor] )
-	udev? ( virtual/libudev:= )"
-DEPEND="${RDEPEND}
-	x11-base/xorg-proto"
+	udev? ( virtual/libudev:= )
+"
+DEPEND="
+	${LIVE_DEPEND}
+	${RDEPEND}
+	x11-base/xorg-proto
+"
 
 pkg_pretend() {
 	if use kernel_linux ; then
@@ -35,10 +47,20 @@ pkg_pretend() {
 	check_extra_config
 }
 
+src_prepare() {
+	default
+	[[ ${PV} == 9999 ]] eautoreconf
+}
+
 src_configure() {
-	XORG_CONFIGURE_OPTIONS=(
+	local econfargs=(
 		$(use_enable glamor)
 		$(use_enable udev)
 	)
-	xorg-2_src_configure
+	econf "${econfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
 }

diff --git a/x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild b/x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild
index 3f5390aec7a..56d17e3405a 100644
--- a/x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild
+++ b/x11-drivers/xf86-video-ati/xf86-video-ati-9999.ebuild
@@ -1,28 +1,40 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-XORG_DRI=always
-inherit linux-info xorg-2
+inherit linux-info
+
+DESCRIPTION="ATI video driver"
+HOMEPAGE="https://www.x.org/wiki/ati/"
 
 if [[ ${PV} == 9999* ]]; then
-	SRC_URI=""
+	EGIT_REPO_URI="https://anongit.freedesktop.org/git/xorg/driver/${PN}"
+	inherit autotools git-r3
+	LIVE_DEPEND=">=x11-misc/util-macros-1.18"
 else
+	SRC_URI="mirror://xorg/driver/${P}.tar.bz2"
 	KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
 fi
 
-DESCRIPTION="ATI video driver"
-HOMEPAGE="https://www.x.org/wiki/ati/"
-
+LICENSE="MIT"
+SLOT="0"
 IUSE="+glamor udev"
 
-RDEPEND=">=x11-libs/libdrm-2.4.78[video_cards_radeon]
+BDEPEND="
+	virtual/pkgconfig
+"
+RDEPEND="
+	>=x11-libs/libdrm-2.4.78[video_cards_radeon]
 	>=x11-libs/libpciaccess-0.8.0
 	glamor? ( x11-base/xorg-server[glamor] )
-	udev? ( virtual/libudev:= )"
-DEPEND="${RDEPEND}
-	x11-base/xorg-proto"
+	udev? ( virtual/libudev:= )
+"
+DEPEND="
+	${LIVE_DEPEND}
+	${RDEPEND}
+	x11-base/xorg-proto
+"
 
 pkg_pretend() {
 	if use kernel_linux ; then
@@ -35,10 +47,20 @@ pkg_pretend() {
 	check_extra_config
 }
 
+src_prepare() {
+	default
+	[[ ${PV} == 9999 ]] eautoreconf
+}
+
 src_configure() {
-	XORG_CONFIGURE_OPTIONS=(
+	local econfargs=(
 		$(use_enable glamor)
 		$(use_enable udev)
 	)
-	xorg-2_src_configure
+	econf "${econfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
 }


             reply	other threads:[~2018-07-17 14:15 UTC|newest]

Thread overview: 87+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-17 14:15 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-25  2:32 [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-video-ati/ Matt Turner
2023-06-03 19:44 Arthur Zamarin
2023-06-01 17:04 Arthur Zamarin
2023-06-01 16:41 Arthur Zamarin
2023-06-01 16:41 Arthur Zamarin
2023-06-01 16:03 Arthur Zamarin
2023-04-25 18:54 Matt Turner
2023-03-05 11:19 Sam James
2023-03-05 11:19 Sam James
2022-05-25 16:02 WANG Xuerui
2022-05-25 16:02 WANG Xuerui
2022-02-07 19:03 Matt Turner
2022-02-01 21:13 Arthur Zamarin
2022-02-01 20:59 Arthur Zamarin
2022-01-21 12:25 Sam James
2022-01-18 22:16 Jakov Smolić
2022-01-18 22:16 Jakov Smolić
2021-05-02 15:24 Matt Turner
2019-11-26 22:54 Matt Turner
2019-11-22 13:44 Matt Turner
2019-11-20 11:48 Agostino Sarubbo
2019-11-20 11:35 Agostino Sarubbo
2019-11-20 11:21 Agostino Sarubbo
2019-11-18 14:29 Agostino Sarubbo
2019-11-03 22:12 Matt Turner
2019-10-15 18:09 Matt Turner
2019-05-01 20:57 Matt Turner
2019-04-29 19:49 Sergei Trofimovich
2019-04-28  4:21 Matt Turner
2019-04-28  0:48 Matt Turner
2019-04-27 11:52 Mikle Kolyada
2019-04-27  4:29 Aaron Bauman
2019-03-19 19:52 Matt Turner
2019-03-07 18:17 Matt Turner
2019-03-07 18:17 Matt Turner
2019-03-01 20:45 Mart Raudsepp
2018-10-31 22:59 Matt Turner
2018-10-28 23:57 Matt Turner
2018-10-26 20:19 Sergei Trofimovich
2018-10-26  1:56 Matt Turner
2018-10-26  1:55 Matt Turner
2018-10-26  0:52 Thomas Deutschmann
2018-10-25 17:38 Mikle Kolyada
2018-09-14 17:19 Matt Turner
2018-08-08 19:25 Matt Turner
2018-07-27 23:18 Matt Turner
2018-07-27 23:18 Matt Turner
2018-07-17 14:51 Brian Evans
2018-05-27 23:57 Matt Turner
2018-05-12  2:45 Matt Turner
2018-05-08  6:24 Sergei Trofimovich
2018-05-07 19:22 Thomas Deutschmann
2018-05-06 20:45 Matt Turner
2018-05-06 19:40 Sergei Trofimovich
2018-05-06 19:23 Matt Turner
2018-05-06 12:30 Mikle Kolyada
2018-03-15 16:34 Matt Turner
2018-03-06 19:13 Matt Turner
2018-03-06 19:13 Matt Turner
2017-11-24  5:06 Matt Turner
2017-09-08 10:54 Lars Wendler
2017-09-08 10:54 Lars Wendler
2017-06-04 19:20 Tobias Klausmann
2017-06-01  9:13 Agostino Sarubbo
2017-05-31 13:06 Agostino Sarubbo
2017-03-16 10:03 Lars Wendler
2017-03-16 10:03 Lars Wendler
2017-03-10 12:53 Agostino Sarubbo
2017-03-06 15:50 Tobias Klausmann
2017-01-25 12:28 Agostino Sarubbo
2017-01-22 17:20 Agostino Sarubbo
2016-11-17 15:04 Lars Wendler
2016-11-17 15:04 Lars Wendler
2016-11-17 10:48 Agostino Sarubbo
2016-11-16 10:44 Agostino Sarubbo
2016-09-22 15:55 Tobias Klausmann
2016-09-17 11:14 Pacho Ramos
2016-09-17 10:49 Pacho Ramos
2016-09-17  1:23 Manuel Rüger
2016-04-07 18:22 Manuel Rüger
2016-04-07 18:22 Manuel Rüger
2016-04-03 20:29 Manuel Rüger
2016-04-03 20:29 Manuel Rüger
2016-03-25 19:52 Manuel Rüger
2015-11-12  5:36 Matt Turner
2015-10-01 13:18 Chí-Thanh Christopher Nguyễn

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1531836922.f81770e41df51ad850fa78d6f57d7972a9e536bf.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox